org.apache.hadoop.yarn.server.api.protocolrecords

## Class RemoveFromClusterNodeLabelsRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class RemoveFromClusterNodeLabelsRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveFromClusterNodeLabelsRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<String>` | `getNodeLabels()`
    `static RemoveFromClusterNodeLabelsRequest` | `newInstance(Set<String> labels)`
    `abstract void` | `setNodeLabels(Set<String> labels)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveFromClusterNodeLabelsRequest

          public RemoveFromClusterNodeLabelsRequest()

  - ### Method Detail

    - #### newInstance

          public static RemoveFromClusterNodeLabelsRequest newInstance(Set<String> labels)

    - #### setNodeLabels

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract void setNodeLabels(Set<String> labels)

    - #### getNodeLabels

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract Set<String> getNodeLabels()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.